<div class="calendar-container">
  <div class="table-head">
    <div>Sun</div>
    <div>Mon</div>
    <div>Tue</div>
    <div>Wen</div>
    <div>Thu</div>
    <div>Fri</div>
    <div>Sat</div>
  </div>

  <div class="table-body">
    <div *ngFor="let week of calendar" class="week-row">
      <div
        *ngFor="let day of week.days"
        (click)="!day.disabled && selectDay(day.value)"
        class="day-cell"
        [class.disabled]="day.disabled"
        [class.selected]="day.selected"
        [class.active]="day.active"
      >
        <span>
          {{ day.value | moment:'DD' }}
        </span>
      </div>
    </div>
  </div>
</div>
